
data$visitthbefore.factor = factor(data$visitthbefore,levels=c("1","0"))
levels(data$visitthbefore.factor)=c("Saw TH","No TH")
levels(data$healer3)=c("0 TH","1 TH",">1 TH")

symptomname <- c("Pulmonary","Cardiac","Neurology/Psychology","Integumentary system","Genitourinary system/Pregnancy",
                 "Systemic problems","Fever","Weight loss","Malaria","Chills","Gastrointestinal",
                 "Ear/Nose/Throat/Eyes","Musculoskeletal","Infectious disease","Other")

symptoms <- rbind(with(data[data$symp1==1,],data.frame(delaytime,healer3,visitthbefore.factor,symptom=symptomname[1],stringsAsFactors=FALSE)),
	      with(data[data$symp2==1,],data.frame(delaytime,healer3,visitthbefore.factor,symptom=symptomname[2],stringsAsFactors=FALSE)),
	      with(data[data$symp3==1,],data.frame(delaytime,healer3,visitthbefore.factor,symptom=symptomname[3],stringsAsFactors=FALSE)),
	      with(data[data$symp4==1,],data.frame(delaytime,healer3,visitthbefore.factor,symptom=symptomname[4],stringsAsFactors=FALSE)),
	      with(data[data$symp5==1,],data.frame(delaytime,healer3,visitthbefore.factor,symptom=symptomname[5],stringsAsFactors=FALSE)),
	      with(data[data$symp6==1,],data.frame(delaytime,healer3,visitthbefore.factor,symptom=symptomname[6],stringsAsFactors=FALSE)),
	      with(data[data$symp7==1,],data.frame(delaytime,healer3,visitthbefore.factor,symptom=symptomname[7],stringsAsFactors=FALSE)),
	      with(data[data$symp8==1,],data.frame(delaytime,healer3,visitthbefore.factor,symptom=symptomname[8],stringsAsFactors=FALSE)),
	      with(data[data$symp9==1,],data.frame(delaytime,healer3,visitthbefore.factor,symptom=symptomname[9],stringsAsFactors=FALSE)),
	      with(data[data$symp10==1,],data.frame(delaytime,healer3,visitthbefore.factor,symptom=symptomname[10],stringsAsFactors=FALSE)),
	      with(data[data$symp11==1,],data.frame(delaytime,healer3,visitthbefore.factor,symptom=symptomname[11],stringsAsFactors=FALSE)),
	      with(data[data$symp12==1,],data.frame(delaytime,healer3,visitthbefore.factor,symptom=symptomname[12],stringsAsFactors=FALSE)),
	      with(data[data$symp13==1,],data.frame(delaytime,healer3,visitthbefore.factor,symptom=symptomname[13],stringsAsFactors=FALSE)),
	      with(data[data$symp14==1,],data.frame(delaytime,healer3,visitthbefore.factor,symptom=symptomname[14],stringsAsFactors=FALSE)),
	      with(data[data$symp15==1,],data.frame(delaytime,healer3,visitthbefore.factor,symptom=symptomname[15],stringsAsFactors=FALSE)))
symp_p5 <- aggregate(delaytime ~ symptom, data=symptoms, median)
symp_p25 <- aggregate(delaytime ~ symptom, data=symptoms, quantile, p=0.25)
symp_p75 <- aggregate(delaytime ~ symptom, data=symptoms, quantile, p=0.75)


library(latticeExtra)

p1 <- segplot(reorder(factor(symp_p5$symptom), symp_p5$delaytime) ~ symp_p25$delaytime + symp_p75$delaytime,
        draw.bands = FALSE, centers = symp_p5$delaytime)



th_symp_sum <- aggregate(delaytime ~ symptom + visitthbefore.factor, data=symptoms, length)
th_symp_p5 <- aggregate(delaytime ~ symptom + visitthbefore.factor, data=symptoms, median)
th_symp_p25 <- aggregate(delaytime ~ symptom + visitthbefore.factor, data=symptoms, quantile, p=0.25)
th_symp_p75 <- aggregate(delaytime ~ symptom + visitthbefore.factor, data=symptoms, quantile, p=0.75)

th_symp <- cbind(th_symp_p5,th_symp_p25$delaytime,th_symp_p75$delaytime,th_symp_sum$delaytime)
names(th_symp) <- c("symptom","visitth","median","p25","p75","N")

p2 <- segplot(reorder(factor(symptom), median) ~ p25 + p75 | visitth,
        draw.bands = FALSE, centers = median, data=th_symp)






th3_symp_sum <- aggregate(delaytime ~ symptom + healer3, data=symptoms, length)
th3_symp_p5 <- aggregate(delaytime ~ symptom + healer3, data=symptoms, median)
th3_symp_p25 <- aggregate(delaytime ~ symptom + healer3, data=symptoms, quantile, p=0.25)
th3_symp_p75 <- aggregate(delaytime ~ symptom + healer3, data=symptoms, quantile, p=0.75)

th3_symp <- cbind(th3_symp_p5,th3_symp_p25$delaytime,th3_symp_p75$delaytime,th3_symp_sum$delaytime)
names(th3_symp) <- c("symptom","visitth","median","p25","p75","N")

p3 <- segplot(reorder(factor(symptom), median) ~ p25 + p75 | visitth,
        draw.bands = FALSE, centers = median, data=th3_symp)


symp_p2 <- sapply(c(wilcox.test(delaytime~visitthbefore.factor, data=symptoms, subset=(symptom==symp_p5$symptom[1]))$p.value,
		    wilcox.test(delaytime~visitthbefore.factor, data=symptoms, subset=(symptom==symp_p5$symptom[2]))$p.value,
		    wilcox.test(delaytime~visitthbefore.factor, data=symptoms, subset=(symptom==symp_p5$symptom[3]))$p.value,
		    wilcox.test(delaytime~visitthbefore.factor, data=symptoms, subset=(symptom==symp_p5$symptom[4]))$p.value,
		    wilcox.test(delaytime~visitthbefore.factor, data=symptoms, subset=(symptom==symp_p5$symptom[5]))$p.value,
		    wilcox.test(delaytime~visitthbefore.factor, data=symptoms, subset=(symptom==symp_p5$symptom[6]))$p.value,
		    wilcox.test(delaytime~visitthbefore.factor, data=symptoms, subset=(symptom==symp_p5$symptom[7]))$p.value,
		    wilcox.test(delaytime~visitthbefore.factor, data=symptoms, subset=(symptom==symp_p5$symptom[8]))$p.value,
		    wilcox.test(delaytime~visitthbefore.factor, data=symptoms, subset=(symptom==symp_p5$symptom[9]))$p.value,
		    wilcox.test(delaytime~visitthbefore.factor, data=symptoms, subset=(symptom==symp_p5$symptom[10]))$p.value,
		    wilcox.test(delaytime~visitthbefore.factor, data=symptoms, subset=(symptom==symp_p5$symptom[11]))$p.value,
		    wilcox.test(delaytime~visitthbefore.factor, data=symptoms, subset=(symptom==symp_p5$symptom[12]))$p.value,
		    wilcox.test(delaytime~visitthbefore.factor, data=symptoms, subset=(symptom==symp_p5$symptom[13]))$p.value,
		    wilcox.test(delaytime~visitthbefore.factor, data=symptoms, subset=(symptom==symp_p5$symptom[14]))$p.value,
		    wilcox.test(delaytime~visitthbefore.factor, data=symptoms, subset=(symptom==symp_p5$symptom[15]))$p.value),myformat4)



symp_p3 <- sapply(c(kruskal.test(delaytime~healer3, data=symptoms, subset=(symptom==symp_p5$symptom[1]))$p.value,
		    kruskal.test(delaytime~healer3, data=symptoms, subset=(symptom==symp_p5$symptom[2]))$p.value,
		    kruskal.test(delaytime~healer3, data=symptoms, subset=(symptom==symp_p5$symptom[3]))$p.value,
		    kruskal.test(delaytime~healer3, data=symptoms, subset=(symptom==symp_p5$symptom[4]))$p.value,
		    kruskal.test(delaytime~healer3, data=symptoms, subset=(symptom==symp_p5$symptom[5]))$p.value,
		    kruskal.test(delaytime~healer3, data=symptoms, subset=(symptom==symp_p5$symptom[6]))$p.value,
		    kruskal.test(delaytime~healer3, data=symptoms, subset=(symptom==symp_p5$symptom[7]))$p.value,
		    kruskal.test(delaytime~healer3, data=symptoms, subset=(symptom==symp_p5$symptom[8]))$p.value,
		    kruskal.test(delaytime~healer3, data=symptoms, subset=(symptom==symp_p5$symptom[9]))$p.value,
		    kruskal.test(delaytime~healer3, data=symptoms, subset=(symptom==symp_p5$symptom[10]))$p.value,
		    kruskal.test(delaytime~healer3, data=symptoms, subset=(symptom==symp_p5$symptom[11]))$p.value,
		    kruskal.test(delaytime~healer3, data=symptoms, subset=(symptom==symp_p5$symptom[12]))$p.value,
		    kruskal.test(delaytime~healer3, data=symptoms, subset=(symptom==symp_p5$symptom[13]))$p.value,
		    kruskal.test(delaytime~healer3, data=symptoms, subset=(symptom==symp_p5$symptom[14]))$p.value,
		    kruskal.test(delaytime~healer3, data=symptoms, subset=(symptom==symp_p5$symptom[15]))$p.value),myformat4)


th3_symp$medIQR <- paste0(round(th3_symp$median)," (",round(th3_symp$p25),"--",round(th3_symp$p75),")")
th3_symp_table <- paste(with(th3_symp,paste(N[visitth=="0 TH"],medIQR[visitth=="0 TH"],N[visitth=="1 TH"],
                        medIQR[visitth=="1 TH"],N[visitth==">1 TH"],medIQR[visitth==">1 TH"],symp_p3,sep=" & ")),collapse=" \\\\\\\\ ")

th_symp$medIQR <- paste0(round(th_symp$median)," (",round(th_symp$p25),"--",round(th_symp$p75),")")
th_symp_table <- paste(with(th_symp,paste(N[visitth=="No TH"],medIQR[visitth=="No TH"],N[visitth=="Saw TH"],medIQR[visitth=="Saw TH"],symp_p2,sep=" & ")),collapse=" \\\\\\\\ ")





