#############################################################
#
#   Program: table1.R
#   Project: 
#   PI: 
#   Statistican/Programmer: Meridith Blevins, MS
#   Purpose: 
#   Notes: 
#   Created: 
#   Revisions: 
#     
#############################################################
# getmedtex, getnptex, and simpleCAP are defined in "table_functions.R"


TH.N <- table(data$visitthbefore)
sex.n1  <- getnp1line(var=ifelse(data$sex.factor=="Female","True",NA),by=data$visitthbefore,rowlabel="Female, n(\\\\%)",inc.pval=TRUE,indent=FALSE)$line[1]
age.m1  <- getmedtex(var=data$age ,by=data$visitthbefore,label="Age",note="a",inc.pval=TRUE)
loc.n1  <- getnptex(var=data$commun.factor,by=data$visitthbefore,label=label(data$commun),rowlabel=levels(data$commun.factor),inc.pval=TRUE)
civ.n1  <- getnptex(var=data$civilstatus.factor,by=data$visitthbefore,label=label(data$civilstatus),rowlabel=levels(data$civilstatus.factor),inc.pval=TRUE)
edu.m1  <- getmedtex(var=data$education ,by=data$visitthbefore,label="Education (years)",note="a",inc.pval=TRUE)
lan1.n1 <- getnp1line(var=ifelse(data$langinhouse___1.factor=="Checked","True",NA),by=data$visitthbefore,rowlabel="Portuguese",inc.pval=TRUE,indent=TRUE)$line[1]
lan2.n1 <- getnp1line(var=ifelse(data$langinhouse___2.factor=="Checked","True",NA),by=data$visitthbefore,rowlabel="Chuabo",inc.pval=TRUE,indent=TRUE)$line[1]
lan3.n1 <- getnp1line(var=ifelse(data$langinhouse___3.factor=="Checked","True",NA),by=data$visitthbefore,rowlabel="Other",inc.pval=TRUE,indent=TRUE)$line[1]
relg.n1  <- getnptex(var=data$religion.factor,by=data$visitthbefore,label=label(data$religion),rowlabel=levels(data$religion.factor),inc.pval=TRUE)
dis.m1  <- getmedtex(var=data$distanceclinic ,by=data$visitthbefore,label="Travel time to clinic (minutes)",note="a",inc.pval=TRUE)
tra.n1  <- getnptex(var=data$transtoclinic.factor,by=data$visitthbefore,label=label(data$transtoclinic),rowlabel=levels(data$transtoclinic.factor),inc.pval=TRUE)
del.m1  <- getmedtex(var=data$delaytime ,by=data$visitthbefore,label="Duration of syptoms before testing (days)",note="a",inc.pval=TRUE)
who.n1  <- getnptex(var=data$whostatus,by=data$visitthbefore,label="WHO stage",inc.pval=TRUE)
cd4.m1  <- getmedtex(var=data$cd4 ,by=data$visitthbefore,label="CD4 count (cells/$\\\\mu$L)",note="a",inc.pval=TRUE,digits=3)
hgt.m1  <- getmedtex(var=data$heigh ,by=data$visitthbefore,label="Height (cm)",note="a",inc.pval=TRUE,digits=3)
wgt.m1  <- getmedtex(var=data$weight ,by=data$visitthbefore,label="Weight (kg)",note="a",inc.pval=TRUE,digits=3)
bmi.m1  <- getmedtex(var=data$bmi ,by=data$visitthbefore,label="BMI (kg/m$^2$)",note="a",inc.pval=TRUE,digits=3)
# hos.n1  <- getnptex(var=data$hosbeftesting.factor,by=data$visitthbefore,label=label(data$hosbeftesting),rowlabel=levels(data$hosbeftesting.factor),inc.pval=TRUE)
talk.n1 <- getnptex(var=data$talkatsympt.factor,by=data$visitthbefore,label=label(data$talkatsympt),rowlabel=levels(data$talkatsympt.factor),inc.pval=TRUE)
rel.n1  <- getnptex(var=data$religioushelp.factor,by=data$visitthbefore,label=label(data$religioushelp),rowlabel=levels(data$religioushelp.factor),inc.pval=TRUE)
kno.m1  <- getmedtex(var=data$hivknow ,by=data$visitthbefore,label="Knowledge (\\\\% correct)",note="a",inc.pval=TRUE)

symplines1 <- rep(NA,200)
j <- 0
for(i in 1:200){
  if(sum(with(data,get(paste("symp",i,sep=""))))>0){
  j <- j + 1
  lab <- label(with(data,get(paste("symp",i,sep=""))))
  symplines1[j] <- getnp1line(var=ifelse(with(data,get(paste("symp",i,sep="")))==1,"True",NA),by=data$visitthbefore,rowlabel=lab,inc.pval=FALSE,indent=TRUE)$line[1]
  }
  if(!exists(paste("symp",i+1,sep=""),where=data)) break
  }
symplines1 <- symplines1[!is.na(symplines1)]

hivknowresults1 <- hivknowresults[!is.na(data$visitthbefore),]
knowlines1 <- rep(NA,ncol(hivknowresults1))
for(i in 1:ncol(hivknowresults1)){
  lab <- names(hivknowresults1)[i]
  knowlines1[i] <- getnp1line(var=ifelse(hivknowresults1[,i]==1,"True",NA),by=data$visitthbefore,rowlabel=lab,inc.pval=TRUE,indent=FALSE)$line[1]
  }
  
table1 <- paste(sex.n1,age.m1$line.incmiss,loc.n1,civ.n1$line.incmiss,edu.m1$line.incmiss,"Language spoken at home\\\\tnote{b}",
		lan1.n1,lan2.n1,lan3.n1,relg.n1$line.incmiss,dis.m1$line.incmiss,tra.n1$line.incmiss,del.m1$line,  
                cd4.m1$line.incmiss,who.n1$line.incmiss,hgt.m1$line.incmiss,wgt.m1$line.incmiss,bmi.m1$line.incmiss,
		talk.n1$line.incmiss,rel.n1$line.incmiss,kno.m1$line.incmiss, sep=" \\\\\\\\")
table2  <- paste(c("Symptoms experienced prior to testing\\\\tnote{a}",symplines1),collapse=" \\\\\\\\ ")
table3  <- paste(knowlines1,collapse=" \\\\\\\\ ")


