#############################################################
#
#   Program: table2.R
#   Project: 
#   PI: 
#   Statistican/Programmer: Meridith Blevins, MS
#   Purpose: 
#   Notes: 
#   Created: 
#   Revisions: 
#     
#############################################################
# getmedtex, getnptex, and simpleCAP are defined in "table_functions.R"



MOTH.N <- printheader(table(data$numhealers.factor),pval=TRUE)
sex.n2  <- getnp1line(var=ifelse(data$sex.factor=="Female","True",NA),by=data$numhealers.factor,rowlabel="Female, n(\\\\%)",inc.pval=TRUE,indent=FALSE)$line[1]
age.m2  <- getmedtex(var=data$age ,by=data$numhealers.factor,label="Age",note="a",inc.pval=TRUE)
loc.n2  <- getnptex(var=data$commun.factor,by=data$numhealers.factor,label=label(data$commun),rowlabel=levels(data$commun.factor),inc.pval=TRUE)
civ.n2  <- getnptex(var=data$civilstatus.factor,by=data$numhealers.factor,label=label(data$civilstatus),rowlabel=levels(data$civilstatus.factor),inc.pval=TRUE)
edu.m2  <- getmedtex(var=data$education ,by=data$numhealers.factor,label="Education (years)",note="a",inc.pval=TRUE)
lan1.n2 <- getnp1line(var=ifelse(data$langinhouse___1.factor=="Checked","True",NA),by=data$numhealers.factor,rowlabel="Portuguese",inc.pval=TRUE,indent=TRUE)$line[1]
lan2.n2 <- getnp1line(var=ifelse(data$langinhouse___2.factor=="Checked","True",NA),by=data$numhealers.factor,rowlabel="Chuabo",inc.pval=TRUE,indent=TRUE)$line[1]
lan3.n2 <- getnp1line(var=ifelse(data$langinhouse___3.factor=="Checked","True",NA),by=data$numhealers.factor,rowlabel="Other",inc.pval=TRUE,indent=TRUE)$line[1]
relg.n2  <- getnptex(var=data$religion.factor,by=data$numhealers.factor,label=label(data$religion),rowlabel=levels(data$religion.factor),inc.pval=TRUE)
dis.m2  <- getmedtex(var=data$distanceclinic ,by=data$numhealers.factor,label="Travel time to clinic (minutes)",note="a",inc.pval=TRUE)
tra.n2  <- getnptex(var=data$transtoclinic.factor,by=data$numhealers.factor,label=label(data$transtoclinic),rowlabel=levels(data$transtoclinic.factor),inc.pval=TRUE)
del.m2  <- getmedtex(var=data$delaytime ,by=data$numhealers.factor,label="Duration of syptoms before testing (days)",note="a",inc.pval=TRUE)
# hos.n2  <- getnptex(var=data$hosbeftesting.factor,by=data$numhealers.factor,label=label(data$hosbeftesting),rowlabel=levels(data$hosbeftesting.factor),inc.pval=TRUE)
talk.n2 <- getnptex(var=data$talkatsympt.factor,by=data$numhealers.factor,label=label(data$talkatsympt),rowlabel=levels(data$talkatsympt.factor),inc.pval=TRUE)
rel.n2  <- getnptex(var=data$religioushelp.factor,by=data$numhealers.factor,label=label(data$religioushelp),rowlabel=levels(data$religioushelp.factor),inc.pval=TRUE)
kno.m2  <- getmedtex(var=data$hivknow ,by=data$numhealers.factor,label="Knowledge (\\\\% correct)",note="a",inc.pval=TRUE)
ref.n2  <- getnptex(var=data$recreferral.factor,by=data$numhealers.factor,label=label(data$recreferral),rowlabel=levels(data$recreferral.factor),inc.pval=TRUE)
upt.n2  <- getnptex(var=data$uptakeofreferral.factor,by=data$numhealers.factor,label=label(data$uptakeofreferral),rowlabel=levels(data$uptakeofreferral.factor),inc.pval=TRUE)



who.n2  <- getnptex(var=data$whostatus,by=data$numhealers.factor,label="WHO stage",inc.pval=TRUE)
cd4.m2  <- getmedtex(var=data$cd4 ,by=data$numhealers.factor,label="CD4 count (cells/$\\\\mu$L)",note="a",inc.pval=TRUE,digits=3)
hgt.m2  <- getmedtex(var=data$heigh ,by=data$numhealers.factor,label="Height (cm)",note="a",inc.pval=TRUE,digits=3)
wgt.m2  <- getmedtex(var=data$weight ,by=data$numhealers.factor,label="Weight (kg)",note="a",inc.pval=TRUE,digits=3)
bmi.m2  <- getmedtex(var=data$bmi ,by=data$numhealers.factor,label="BMI (kg/m$^2$)",note="a",inc.pval=TRUE,digits=3)
  
table4 <- paste(sex.n2,age.m2$line.incmiss,loc.n2,civ.n2$line.incmiss,edu.m2$line.incmiss,"Language spoken at home\\\\tnote{b}",
		lan1.n2,lan2.n2,lan3.n2,relg.n2$line.incmiss,dis.m2$line.incmiss,tra.n2$line.incmiss,del.m2$line,  
		cd4.m2$line.incmiss,who.n2$line.incmiss,hgt.m2$line.incmiss,wgt.m2$line.incmiss,bmi.m2$line.incmiss,
		talk.n2$line,rel.n2$line.incmiss,kno.m2$line.incmiss,ref.n2$line.incmiss,upt.n2$line.incmiss, sep=" \\\\\\\\")




